# Module: Concurrent::Promises::Future::ActorIntegration

Included in:
  Concurrent::Promises::Future

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/promises.rb

## Overview

Note:

Edge Features are under active development and may change frequently.

- Deprecations are not added before incompatible changes.
- Edge version: major is always 0, minor bump means incompatible change, patch bump means compatible change.
- Edge features may also lack tests and documentation.
- Features developed in `concurrent-ruby-edge` are expected to move to `concurrent-ruby` when finalised.

## Instance Method Summary collapse

- #then_ask(actor) ⇒ Future

  Asks the actor with its value.

## Instance Method Details

### #then_ask(actor) ⇒ `Future`

Asks the actor with its value.

Returns:

- (`Future`) —

  new future with the response form the actor

    14
    15
    16

    # File 'lib/concurrent-ruby-edge/concurrent/edge/promises.rb', line 14

    def then_ask(actor)
      self.then(actor) { |v, a| a.ask_op(v) }.flat
    end